'use strict';

angular.module('settings.controllers.main', [
    'system'
])
    .controller('SettingsMainController', [
       '$scope',
        '$location',
        '$route',
        'System',
        function ($scope, $location, $route, System) {
            
            $scope.view = $route.current.params["id"] || 'general';

            $scope.template = '/areas/qusion/scripts/templates/settings/' + $scope.view + '.html';

            $scope.changeView = function(view) {
                $location.url('/settings/' + view);
            };
        }
    ]);